Subject: Re: [Qemu-devel] PCI passthrough of 40G ethernet interface (Openstack/KVM)

From: Stefan Assmann <[email-masked]>
Date: Mon, 23 Mar 2015 08:19:12 +0100

On 20.03.2015 21:55, jacob jacob wrote:
> On Thu, Mar 19, 2015 at 10:18 AM, Stefan Assmann <[email-masked]> wrote:
>> On 19.03.2015 15:04, jacob jacob wrote:
>>> Hi Stefan,
>>> have you been able to get PCI passthrough working without any issues
>>> after the upgrade?
>>
>> My XL710 fails to transfer regular TCP traffic (netperf). If that works
>> for you then you're already one step ahead of me. Afraid I can't help
>> you there.
> 
> I have data transfer working when trying the test runs on the host
> itself. Are you seeing problems when directly trying the TCP traffic
> from the host itself?

Correct.

> The issues that i am seeing are specific to the case when the devices
> are passed via PCI passthrough into the VM.
> 
> Any ideas whether this would be a kvm/qemu or i40e driver issue?
> (Updating to the latest firmware and using latest i40e driver didn't
> seem to help.)

Hard to say, that's probably something for Intel to look into.

  Stefan